Index: memberlist.cpp
===================================================================
--- memberlist.cpp	(revision 642)
+++ memberlist.cpp	(working copy)
@@ -26,6 +26,7 @@
 #include "outputlist.h"
 #include "groupdef.h"
 #include "marshal.h"
+#include "vhdldocgen.h"
 
 MemberList::MemberList()
 {
@@ -318,6 +319,8 @@
              const char *title,const char *subtitle, bool showEnumValues
              /*, bool inGroup,bool countSubGroups*/)
 {
+  static bool optimizeVhdl = Config_getBool("OPTIMIZE_OUTPUT_VHDL");
+	
   //printf("----- writeDeclaration() this=%p ----\n",this);
   countDecMembers(showEnumValues); // count member not in group
   Definition *ctx = cd;
@@ -342,7 +345,21 @@
     ol.endMemberSubtitle();
   }
 
-  writePlainDeclarations(ol,cd,nd,fd,gd);
+  // This will correctly format the output for VHDL groups....
+  // Two things need to be worked out though:
+  // 1. Signals and types under the group need to be
+  //    formatted to associate them with the group somehow
+  //    indentation, or at the very least, extra space after
+  //    the group is done
+  // 2. This might need to be repeated below for memberGroupLists
+  if (optimizeVhdl) // use specific declarations function
+  {
+    VhdlDocGen::writeVhdlDeclarations(this,ol,0,cd);
+  }
+  else
+  {
+	writePlainDeclarations(ol,cd,nd,fd,gd);
+  }
   
   //printf("memberGroupList=%p\n",memberGroupList);
   if (memberGroupList)
